# Generated from dir2svn-0.1.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dir2svn

Name: rubygem-%{gem_name}
Version: 0.1.6
Release: 1%{?dist}
Summary: Sync a folder to Subversion
License: MIT
URL: https://rubygems.org/profiles/onknows
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(geminabox) >= 0.12
# BuildRequires: rubygem(geminabox) < 1
# BuildRequires: rubygem(rubocop) >= 0.25
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
Sync a folder to a Subversion working copy. It will make changes to the
working copy so that is equal to the source folder.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/dir2svn
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/dir2svn.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.6-1
- Initial package
